Bug 909186 - RPM has an excessive HDD usage
RPM has an excessive HDD usage
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rpm (Show other bugs)
6.3
i686 Linux
unspecified Severity urgent
: rc
: ---
Assigned To: packaging-team-maint
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-08 08:14 EST by Artem S. Tashkinov
Modified: 2015-11-23 22:51 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-04 09:29:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Artem S. Tashkinov 2013-02-08 08:14:48 EST
Description of problem:

When I do 'yum update' yum rebuilds RPM 'Packages' database many times over, writing out up to 800MB (!) of data to the disk (whereas my 'Packages' file weighs just 35MB). That's insane.


Version-Release number of selected component (if applicable):

yum-3.2.29-30.el6.noarch
rpm-4.8.0-27.el6.i686


How reproducible: Always, specially if I install/update Google Chrome


Additional info: I've tried to rebuild the RPM database several times, but it had no effect whatsoever.

I can upload my entire /var/lib/rpm if anyone's interested (a 10MB tar.xz archive).
Comment 2 Artem S. Tashkinov 2013-02-09 09:41:58 EST
OK, this is getting ridiculous.

I've just run yum search dhcp and according to iotop, this operation alone has made yum write out over 400MB of data to the disk.

Please, fix this insanity.
Comment 3 Artem S. Tashkinov 2013-02-09 09:43:48 EST
As a temporary workaround I've resorted to

1) cp -a /var/lib/rpm /tmp (tmp is tmpfs)
2) do everything I need to with yum
3) cp -a /tmp/rpm /var/lib
Comment 4 James Antill 2013-02-11 11:12:51 EST
Can you at least save /var/lib/rpm somewhere it won't go away.

If you can get an strace/ltrace that might be helpful.

Also if you manually do: "rpm --rebuilddb" ... does that solve the problem?
Comment 5 Artem S. Tashkinov 2013-02-12 01:17:21 EST
(In reply to comment #4)

I mentioned in the original message that the rebuilding of the RPM database hadn't helped.

strace shows billions of write()

Anyways, here's my entire RPM db for your consideration: ompldr.org/vaGZzbQ (sha1sum: c458f9a089e0c2f946307eec3c337a0381e4e51e)

I've changed the bug report title, since `rpm -Uvh package.rpm` causes the same problem.
Comment 6 Florian Festi 2013-04-04 09:29:30 EDT
You are most likely not measuring correctly. Even if you would measure correctly the only way around this behaviour would be replacing the rpmdb. Work like this has just started upstream but is far from being finished. Even if upstream ends up replacing the current rpmdb implementation backporting such massive changed to RHEL6 is completely out of question. Closing.

Note You need to log in before you can comment on or make changes to this bug.